<!DOCTYPE html>
<html>
<head>
	<title>positions</title>
	<style type="text/css">


		.e{
			display: inline-flex;
			width: 100%;
			height: 25%;
			position: relative;

		}
		.f{margin-top:50vh;
			display: inline-flex;
			width: 100%;
			height: 25%;
			position: relative;
		}
		.a{
			background: blue;
			width: 25vh;
			height: 250px;
			position: relative;
		}
		.b{
			background: blue;
			width: 25vh;
			margin-left: 50vh;
			height: 250px;
			position: absolute;
			right: 0;
		}
		
		.c{
			background: yellow;
			position: absolute;
			width: 25%;
			height: 25%;
			bottom: 0;
			right: 0;
		}
		.d{
			background: yellow;
			width: 100%;
			height: 25%;
		}
		.g{
			background: yellow;
			position: absolute;
			width: 100%;
			height: 25%;
			bottom: 0;
		}
		.h{
			background: yellow;
			position: absolute;
			top: 0;
			left: 0;
			width: 25%;
			height: 25%;
		}
	</style>
</head>
<body>
	<div class="e">
	<div class="a">
		<div class="c"></div>
	</div>
	<div class="b">
		<div class="d"></div>
	</div>
    </div>
    <div class="f">
	<div class="a">
		<div class="g"></div>
	</div>
	<div class="b">
		<div class="h"></div>
	</div></div>
    
</body>
</html>